Subject: Re: [PATCH net-next v4 1/2] net/ethernet: add ZTE network driver support

From: Simon Horman <[email-masked]>
Date: Wed, 27 May 2026 10:27:08 +0100

On Sat, May 23, 2026 at 05:41:17PM +0800, [email-masked] wrote:
> From: Junyang Han <[email-masked]>
> 
> Add basic framework for ZTE DingHai ethernet PF driver, including
> Kconfig/Makefile build support and PCIe device probe/remove skeleton.
> 
> Signed-off-by: Junyang Han <[email-masked]>

I think that a better prefix for this patch would be dinghai

Subject: [PATCH ...] dinghai: ...

And I would this for patch 2/2 too.

...

> diff --git a/drivers/net/ethernet/zte/dinghai/en_pf.c b/drivers/net/ethernet/zte/dinghai/en_pf.c

...

> +static int dh_pf_pci_init(struct dh_core_dev *dev)

...

> +	if (!pf_dev->pci_ioremap_addr[0]) {
> +		ret = -ENOMEM;
> +		dev_err(dev->device, "ioremap(0x%llx, 0x%llx) failed\n",
> +			pci_resource_start(dev->pdev, 0),
> +				pci_resource_len(dev->pdev, 0));

For ARM allmodconfig builds, Clang 22.1.0 complains that:

drivers/net/ethernet/zte/dinghai/en_pf.c:70:4: warning: format specifies type 'unsigned long long' but the argument has type 'resource_size_t' (aka 'unsigned int') [-Wformat]
   69 |                 dev_err(dev->device, "ioremap(0x%llx, 0x%llx) failed\n",
      |                                                 ~~~~
      |                                                 %x
   70 |                         pci_resource_start(dev->pdev, 0),
      |                         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Looking at Documentation/core-api/printk-formats.rst, I expect the solution
is to use %pa[p] as the format specifier.

...